# Homepage Widgets Configuration
# Organized by System, Environment, and Search
- logo:
    icon: wireguard.svg # optional

- resources:
    cpu: true
    memory: true
    disk: /
    cputemp: true
    tempmin: 0
    tempmax: 100
    uptime: true
    units: imperial
    refresh: 3000
    diskUnits: bytes
    network: true

- openmeteo:
    label: Bealeton
    latitude: 38.5718
    longitude: -77.7639
    timezone: America/New_York
    units: imperial
    cache: 5
    format:
      maximumFractionDigits: 1

- datetime:
    text_size: sm
    format:
      dateStyle: short
      timeStyle: short
      hour12: true
      timeZone: 'America/New_York'

# /config/widgets.yaml
- search:
    provider: google # google, duckduckgo, bing, baidu, brave or custom
    focus: true # Optional, will set focus to the search bar on page load
    showSearchSuggestions: true # Optional, will show search suggestions. Defaults to false
    target: _blank # One of _self, _blank, _parent or _top